org.wildfly.swarm.messaging

## Class RemoteConnection

- java.lang.Object
- - org.wildfly.swarm.messaging.RemoteConnection

-     public class RemoteConnection
      extends Object

  Details for a remote message-queue connection.

  Supports outboard ActiveMQ/Artemis servers.

  Author:
    Bob McWhirter

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RemoteConnection.Consumer` Configuration functional interface for container-supplied objects.
    `static interface` | `RemoteConnection.Supplier` Supplier functional interface for user-supplied object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteConnection(String name)` Construct.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `host()` Retrieve the host (or host expression).
    `RemoteConnection` | `host(String host)` Set the host (or host expression).
    `String` | `jndiName()` Retrieve the JNDI name of the associated connection factory.
    `RemoteConnection` | `jndiName(String jndiName)` Set the JNDI name for the associated connection factory.
    `String` | `name()` Retrieve the name of the connection.
    `int` | `port()` Retrieve the port (or port expression).
    `RemoteConnection` | `port(int port)` Set the port (or port expression).

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteConnection

          public RemoteConnection(String name)

      Construct.
      Parameters:
        `name` - The name of the connection. Also used for `jndiName`.

  - ### Method Detail

    - #### name

          public String name()

      Retrieve the name of the connection.
      Returns:
        The name.

    - #### host

          public RemoteConnection host(String host)

      Set the host (or host expression).
      Parameters:
        `host` - The host literal or expression.
      Returns:
        This connection.

    - #### host

          public String host()

      Retrieve the host (or host expression).
      Returns:
        The host (or host expression).

    - #### port

          public RemoteConnection port(int port)

      Set the port (or port expression).
      Parameters:
        `port` - The port (or port expression).
      Returns:
        This connectoin.

    - #### port

          public int port()

      Retrieve the port (or port expression).
      Returns:
        The port (or port expression).

    - #### jndiName

          public RemoteConnection jndiName(String jndiName)

      Set the JNDI name for the associated connection factory.

      If unset, defaults to `java:/jms/name`

      .
      Parameters:
        `jndiName` - The explicit JNDI name to bind the connection factory.
      Returns:
        This connection.
      See Also:
        `name()`

    - #### jndiName

          public String jndiName()

      Retrieve the JNDI name of the associated connection factory.
      Returns:
        The JNDI name of the associated connection factory.

Copyright © 2017 JBoss by Red Hat. All rights reserved.